Subject: bug#65665: [PATCH] Really get all the implicit inputs.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 05 Oct 2023 22:36:42 -0400

Hello Ulf!

Ulf Herrman <[email-masked]> writes:

> This patch series causes package-mapping to recurse into package and bag
> arguments when #:deep? #t is given.  It also recurses into gexps and
> gexp inputs in search of packages to devour.  It also ensures that build
> systems leave all of their implicit package arguments in the bag
> arguments, ready to be found by package-mapping.  It also fixes a couple
> build system errors I came across while modifying 40+ build systems and
> testing a deep package transformation.

Nice series!

I've reviewed it, and it makes sense to me.  I'd like to apply it to the
core-updates branch.  Core team, what say you?

-- 
Thanks,
Maxim